Apache2 with PHP5 and PHP4 simultaneously

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache2 with PHP5 and PHP4 simultaneously

Postby jacortijo » 11. December 2008 07:23

Good morning,
it is being a nightmare to achieve to have running apache2 with PHP4 and PHP5 support.
I need to have several different php application and mainly all of them use PHP5 but I have an specific one in PHP4. I was googling a lot and found some solutions, the best I found is
http://www.gentoo.org/proj/en/php/php4- ... ration.xml
but it is for Gentoo and unfortunally in my office we work with windows 2003.
I am lazy so I used XAMP and I got directly apache2 with PHP5 and PHP4. it provides to swith from one version to the other but I need both at the same time.
I tried using the following directives in the vhost file but apache seems to follow them at all.
this is my vhosts
<VirtualHost *:80>
DocumentRoot E:/xampp/htdocs/
ServerName localhost
</VirtualHost>
<VirtualHost *:80>
DocumentRoot E:/xampp/htdocs/Degas
ServerName drivers
ScriptAlias /php/ "E:/xampp/php/php4/"
Action application/x-httpd-php4 "/php/php.exe"
AddHandler application/x-httpd-php4 .php

<Directory "E:/xampp/php/php4/">
Options Indexes FollowSymLinks
AllowOverride FileInfo
Order allow,deny
Allow from all
</Directory>
</VirtualHost>

the enviroment is set up in PHP5. I create a info.php in both places and in both places shows up PHP 5.2.6 :(

Anything I should do... somebody did it before?
is it impossible to achieve?

Many thanks in advance
Jose
jacortijo
 
Posts: 9
Joined: 20. March 2008 07:20

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 77 guests